From: Mikulas Patocka <mpatocka@redhat.com>

Publish dm_vcalloc in include/linux/device-mapper.h because this function is
used by targets.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.h               |    1 -
 include/linux/device-mapper.h |    5 +++++
 2 files changed, 5 insertions(+), 1 deletion(-)

Index: linux-2.6.27/drivers/md/dm.h
===================================================================
--- linux-2.6.27.orig/drivers/md/dm.h	2008-10-10 12:21:40.000000000 +0100
+++ linux-2.6.27/drivers/md/dm.h	2008-10-10 12:21:41.000000000 +0100
@@ -89,7 +89,6 @@ void dm_linear_exit(void);
 int dm_stripe_init(void);
 void dm_stripe_exit(void);
 
-void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size);
 int dm_open_count(struct mapped_device *md);
 int dm_lock_for_deletion(struct mapped_device *md);
 
Index: linux-2.6.27/include/linux/device-mapper.h
===================================================================
--- linux-2.6.27.orig/include/linux/device-mapper.h	2008-10-10 12:21:40.000000000 +0100
+++ linux-2.6.27/include/linux/device-mapper.h	2008-10-10 12:21:41.000000000 +0100
@@ -267,6 +267,11 @@ void dm_table_event(struct dm_table *t);
  */
 int dm_swap_table(struct mapped_device *md, struct dm_table *t);
 
+/*
+ * A wrapper around vmalloc.
+ */
+void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size);
+
 /*-----------------------------------------------------------------
  * Macros.
  *---------------------------------------------------------------*/
